## drawing 0.4.7

=== debian/changelog ===
drawing (0.4.7) unstable; urgency=low

  * Version bump

 -- Romain F. T. <rrroschan@gmail.com>  Thu, 10 Oct 2019 20:34:00 +0100

drawing (0.4.6) unstable; urgency=low

  * Bug fixes
  * New translations

 -- Romain F. T. <rrroschan@gmail.com>  Mon, 22 Jul 2019 00:18:12 +0100

## drawing 0.8.5

=== meson_options.txt ===
option('enable-translations-and-appdata', type: 'boolean', value: true)
option('use-uuid-as-binary-name', type: 'boolean', value: false)

## drawing 0.4.11

=== debian/changelog ===
drawing (0.4.11-1) unstable; urgency=medium

  * New upstream release (Closes: #933735).

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 22 Feb 2020 20:17:20 +0200

drawing (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #933735).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Feb 2020 12:26:29 +0100

=== debian/control ===
Source: drawing
Section: graphics
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
# appstream-util (>= 0.7.14),
 desktop-file-utils,
 dh-python,
 gir1.2-gtk-3.0 (>= 3.24.0),
 libglib2.0-dev-bin (>= 2.58.3),
 meson (>= 0.50),
 pkgconf,
 python3-all,
 python3-gi-cairo (>= 3.30.0),
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/drawing.git
Vcs-Browser: https://salsa.debian.org/debian/drawing
Homepage: https://maoschanz.github.io/drawing/

Package: drawing
Architecture: any
Depends:
 gir1.2-gtk-3.0 (>= 3.24.0),
 python3-gi-cairo (>= 3.30.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: simple drawing application for the GNOME desktop
 Drawing is a simple image editor similar to MS Paint and designed
 for the GNOME desktop environment. It includes a set of image
 manipulation tools for every day basic image editing needs.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(firstword $(shell grep Package debian/control | cut -d: -f2))

%:
	dh $@ --buildsystem=meson --with=python3

override_dh_auto_install:
	dh_auto_install
	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/*/ debian/$(PACKAGE)/usr/lib/python3/dist-packages/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/maoschanz/@PACKAGE@/releases \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## drawing 0.4.13

=== debian/changelog ===
drawing (0.4.13-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports (Closes: #963616).
  * appstreamcli in Buster can’t do metainfo-to-news yet,
    ship the generated changelog instead.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 24 Jun 2020 22:14:21 +0200

drawing (0.4.13-1) unstable; urgency=medium

  * New upstream release (Closes: #952788, #952117).
  * Generate an upstream changelog from AppStream metadata.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 May 2020 12:37:18 +0200

drawing (0.4.11-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports (Closes: #961482).

 -- Leandro Cunha <leandrocunha526@gmail.com>  Sun, 24 May 2020 20:19:29 -0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
+ appstream,
 # appstream-util (>= 0.7.14),
  desktop-file-utils,
  dh-python,

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 override_dh_auto_install:
 	dh_auto_install
 	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/*/ debian/$(PACKAGE)/usr/lib/python3/dist-packages/
+
+override_dh_installchangelogs:
+	#appstreamcli metainfo-to-news --format=text $(firstword $(wildcard debian/*/usr/share/metainfo/*.xml)) debian/NEWS.upstream
+	dh_installchangelogs debian/NEWS.upstream

## drawing 0.4.13%2Bulyana

=== debian/changelog ===
drawing (0.4.13+ulyana) unstable; urgency=low

  * Disable a broken feature concerning the save dialog (sandboxed package formats only) (#202)
  * Remove dead code
  * Update polish and german translations
  * Fix minor issue with the selection

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 07 Mar 2020 20:00:00 +0100

drawing (0.4.12) unstable; urgency=low

  * The preferences dialog now looks better with Cinnamon, Xfce and MATE
  * Syntax has been updated to python3.8 (#190)
  * The "save" dialog opens by default in the user's images directory
  * Closing a tab doesn't produce minors errors anymore (#193, it was introduced by 0.4.11)
  * The app.quit action asks confirmation if modifications are not saved (#191)

 -- Romain F. T. <rrroschan@gmail.com>  Sun, 16 Feb 2020 20:00:00 +0100

drawing (0.4.11) unstable; urgency=low

  * Fix the sensitivity of the "delete" action during the selection editing
  * Close tabs with middle-click (#164 @raggesilver)
  * Support color-picking with the alpha channel
  * Add an "outline" option to the text tool
  * Geometrically correct ellipses (circle tool)
  * Rounded rectangle option (rectangle tool)
  * Update translations
  * Rewrite preferences window to include help labels
  * Transparency replacement options

 -- Romain F. T. <rrroschan@gmail.com>  Sun, 16 Feb 2020 20:00:00 +0100

drawing (0.4.10) unstable; urgency=low

  * Fix the "rotate" tool where buttons were inverted
  * Change tools icons alignment with Adapta theme
  * Update translations

 -- Romain F. T. <rrroschan@gmail.com>  Thu, 20 Dec 2019 20:00:00 +0100

drawing (0.4.9) unstable; urgency=low

  * Remove GTK warning at the initialisation of the window
  * Replace transparency with white (instead of black) when saving a JPG or a BMP file
  * Fix the color picker tool

 -- Romain F. T. <rrroschan@gmail.com>  Thu, 20 Nov 2019 20:00:00 +0100

drawing (0.4.8) unstable; urgency=low

  * Add a "New image with custom size" action
  * Better "File" menu (in the menubar)
  * More usable "Windows" menu (in the menubar)
  * Fix the units inside the spinbuttons on systems without Cantarell
  * Improve the preferences window UI
  * Do not close saved but non-blank images when opening a new image
  * Fix the toolbar style
  * Open or import images with drag-and-drop
  * Add tooltips on color buttons for colorblind users

 -- Romain F. T. <rrroschan@gmail.com>  Thu, 5 Nov 2019 20:00:00 +0100

## drawing 0.4.13+ulyana

=== debian/control ===
Source: drawing
Section: graphics
Priority: optional
Maintainer: Romain F. T. <rrroschan@gmail.com>
Build-Depends: meson (>=0.45), appstream-util (>=0.7.7), libglib2.0-dev-bin (>=2.56)
Standards-Version: 4.4.0
Homepage: https://maoschanz.github.io/drawing/

Package: drawing
Architecture: all
Depends: python3-gi-cairo (>=3.26.0), gir1.2-gtk-3.0 (>=3.22.30)
Description: A drawing application for the GNOME desktop.
 A simple application to draw or edit pictures.
 It includes tools like: Pencil, Selection, Shape, Text, …

## drawing 0.6.3~pureos+librem5.1

=== debian/changelog ===
drawing (0.6.3~pureos+librem5.1) amber-phone; urgency=high

  * New upstream release

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 12 Nov 2020 17:25:17 +0100

drawing (0.6.3) unstable; urgency=low

  * use submenus for the "tools" menu in the menubar
  * fix arrows' heads when the line was semi-transparent
  * fix arrows' heads with specific angles (#286)
  * fix arrows' heads when the line had a square end
  * add option for double-ended arrows
  * add more options for dashed lines
  * update several translations
  * support for older distributions (pygobject < 3.30)

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 31 Oct 2020 13:12:00 +0100

drawing (0.6.2~pureos+librem5.2) amber-phone; urgency=medium

  * Merge back all changes from the actual 0.6.2 release

 -- Sebastian Krzyszkowiak <sebastian.krzyszkowiak@puri.sm>  Thu, 22 Oct 2020 03:43:37 +0200

drawing (0.6.2~pureos+librem5.1) amber-phone; urgency=medium

  * fork for PureOS:
    + set PureOS Maintainers as maintainer,
      leaving original as XSBC-Original-Maintainer
    + replace Vcs-* fields
    + add git-buildpackage config
  * fix build-depend on debhelper python3-cairo python3-gi,
    and depend on variable ${misc:Depends}
  * fix build-depend on dh-sequence-python3,
    and depend on variable ${python3:Depends}
  * fix declare source format 3.0 (native)
  * fix slightly rephrase synopsis and long description,
    to avoid article in synopsis
    or unneeded UTF-8 characters in long description

 -- Jonas Smedegaard <jonas.smedegaard@puri.sm>  Wed, 07 Oct 2020 10:05:11 +0200

drawing (0.6.2) unstable; urgency=low

  * add keyboard shortcuts for increasing and decreasing the tool width (#242)
  * ensure all features are available with all layouts (e.g. "reload" with Cinnamon and eOS)
  * suggest to reload when the file has been saved without transparency
  * new 'copy to clipboard' action
  * new "paint over the entire image" option to the paint tool
  * fix Debian Buster (and PureOS Amber) support (#275)
  * add option for the 'highlighter' tool to highlight on dark background
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 17 Oct 2020 13:12:00 +0100

drawing (0.6.1) unstable; urgency=low

  * new 'save without transparency' action, that works with PNG
  * add 'initial color' as a replacement for transparent pixels
  * fix a bug in the 'rotate' tool that occured when the selection was flipped before being rotated
  * add the additional tool 'points', to help captioning
  * update the user help manual
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 03 Oct 2020 13:12:00 +0100

drawing (0.6.0) unstable; urgency=low

  * remove the "windows" menu from the menubar
  * refactor bottom panes management to allow several tools to share the same pane
  * rectangle selection, freehand selection, and color selection, are now distinct tools
  * the 'rotate' tool now handles horizontal or vertical flipping
  * the 'rotate' tool now supports any angle when rotationg the selection
  * the tools producing shapes (circle, rectangle, polygon, …) are merged into a single 'shape' tool
  * "close shape" action for the 'shape' tool
  * "close selection" action for the 'free selection' tool
  * replace the 'saturate' tool by a new 'filters' tool
  * add several types of blur to 'filters'
  * add color inversion, pixelization, partial transparency to 'filters'
  * add "additional tools" section to the preferences window
  * add specialized types of pencils (eraser, highlighter) as optional tools
  * a fullscreen mode is now available
  * zoom in (or out) using the minimap, the touch gestures, the mouse wheel, or keyboard shortcuts
  * move the "color application mode" selection to the colors menus/popovers
  * add "antialiasing" option to several tools
  * warn the user when they try to save despite the current operation not being applied
  * rewrite the user help manual

 -- Romain F. T. <rrroschan@gmail.com>  Sun, 20 Sep 2020 13:18:12 +0100

=== debian/control ===
Source: drawing
Section: graphics
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
XSBC-Original-Maintainer: Romain F. T. <rrroschan@gmail.com>
Build-Depends: debhelper, dh-sequence-python3, meson (>=0.50), appstream-util (>=0.7.14), libglib2.0-dev-bin (>=2.58.3), python3-cairo, python3-gi (>=3.30.0)
Standards-Version: 4.4.0
Homepage: https://maoschanz.github.io/drawing/
Vcs-Git: https://source.puri.sm/pureos/packages/drawing.git
Vcs-Browser: https://source.puri.sm/pureos/packages/drawing

Package: drawing
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gi (>=3.30.0), python3-gi-cairo (>=3.30.0), gir1.2-gtk-3.0 (>=3.24.0)
Description: Simple application to draw or edit pictures, for the GNOME desktop.
 It includes tools such as Pencil, Selection, Shape, Text, Filter or Crop.

## drawing 0.6.4

=== debian/changelog ===
drawing (0.6.4-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release (Closes: #975605).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 01 Dec 2020 14:38:30 +0100

drawing (0.5.3+git20200524+20ccb40-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 May 2020 15:06:49 +0200

=== debian/control ===
Source: drawing
Section: graphics
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 appstream,
# appstream-util (>= 0.7.14),
 desktop-file-utils,
 dh-python,
 gir1.2-gtk-3.0 (>= 3.24.0),
 libglib2.0-dev-bin (>= 2.58.3),
 meson (>= 0.50),
 pkgconf,
 python3-all,
 python3-gi-cairo (>= 3.30.0),
 jq
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/debian/drawing.git
Vcs-Browser: https://salsa.debian.org/debian/drawing
Homepage: https://maoschanz.github.io/drawing/

Package: drawing
Architecture: any
Depends:
 gir1.2-gtk-3.0 (>= 3.24.0),
 python3-gi-cairo (>= 3.30.0),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: simple drawing application for the GNOME desktop
 Drawing is a simple image editor similar to MS Paint and designed
 for the GNOME desktop environment. It includes a set of image
 manipulation tools for every day basic image editing needs.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(firstword $(shell grep Package debian/control | cut -d: -f2))

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=meson --with=python3

override_dh_auto_build:
	dh_auto_build
	@upstream_ver=$(shell meson introspect --projectinfo obj-*/ | jq -r .version); \
	 deb_ver=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+.*//'); \
	[ $$upstream_ver = $$deb_ver ] || \
	( echo ; echo ERROR: Upstream version needs to be bumped: metadata says $$upstream_ver, packaging says $(DEB_VERSION_UPSTREAM); echo ; exit 1 )

override_dh_auto_install:
	dh_auto_install
	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/*/ debian/$(PACKAGE)/usr/lib/python3/dist-packages/

override_dh_installchangelogs:
	appstreamcli metainfo-to-news --format=text $(firstword $(wildcard debian/*/usr/share/metainfo/*.xml)) debian/NEWS.upstream
	dh_installchangelogs debian/NEWS.upstream

## drawing 0.8.1

=== debian/changelog ===
drawing (0.8.1) unstable; urgency=low

  * add an action "selection > define as current image" (#332)
  * fix how the canvas was ERASED if it was being cropped on one side but expanded on the other side
  * add an action "selection > expand image to fit [the size of the selection]" (#332)
  * add a several ways of censoring information as an option to the eraser tool
  * preference to select a theme variant (#360, #361, by @alexislozano)
  * add "nip direction" option to the calligraphic nip (#69, #116)
  * better pre-select the currently used font in the font chooser dialog (#359)
  * add optional outline to the pencil, line, and curve tools (#369)
  * install files in /usr instead of /usr/local
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 5 Jun 2021 13:12:00 +0100

drawing (0.8.0) unstable; urgency=low

  * new, richer, more readable bottom pane for the selection tool
  * add a "replace with" option to the eraser tool
  * use an adequate layout on LXDE or LXQt
  * force the release notes down users' throat (#347)
  * rewrite the help manual to better force it down users' throat (#347)
  * add color application mode support to the "shape" tool (#329)
  * persist the text background style (#340) and the shape filling style options
  * brush supporting pressure-sensitive input (#69, #116)
  * hairy brush supporting pressure-sensitive input (#69, #116)
  * airbrush supporting pressure-sensitive input (#69, #116)
  * calligraphic nip supporting pressure-sensitive input (#69, #116)
  * fix unexpected "jumps" when unselecting a selection that was defined by an undo
  * improve the fullscreen mode, with a way to toggle the tools list (#265, #189)
  * add an "increase constrast" filter (#308)
  * deleting the selection can now leave something else than transparency #232
  * option to exclude the color left under the selection from the selection itself #232
  * rewrite the UI for changing the color application mode (#329)
  * remove the cool but deprecated GNOME Shell app menu
  * improve flatpak CI (#319, Bilel Moussaoui)
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 24 Apr 2021 13:12:00 +0100

drawing (0.6.5) unstable; urgency=low

  * fix unexplained regression of bottom panes responsiveness
  * mitigation of the "very quick series of ctrl+b" bug
  * disable importing or opening an image using drag-and-drop with flatpak (it was broken)
  * fix printing (issue #20)
  * more pertinent movements of the view when holding and moving the middle-click
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 30 Jan 2021 13:12:00 +0100

drawing (0.6.4) unstable; urgency=low

  * add more keyboard shortcuts
  * slightly better "erase and replace" algo for the paint tool
  * better handle attempts to open webp images (#217)
  * better handle attempts to open incorrect file types
  * update help manual
  * remember the value of the antialiasing option
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 28 Nov 2020 13:12:00 +0100

## drawing 0.8.3

=== debian/changelog ===
drawing (0.8.3-0ubuntu1) impish; urgency=medium

  * New upstream release

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 05 Aug 2021 22:47:31 +0100

drawing (0.8.2-0ubuntu1) impish; urgency=medium

  * New upstream release
  * Packaging Changes
    - control: update maintainer
    - control: bump StandardsVersion - no changes required
    - control: bump debhelper-compat version
    - control: add Rules-Requires-Root: no
    - copyright: correct figures icon glob order to resolve lintian warning

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 17 Jul 2021 23:26:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: drawing
 Section: graphics
 Priority: optional
-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: David Mohammed <fossfreedom@ubuntu.com>
+XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  appstream,
 # appstream-util (>= 0.7.14),
  desktop-file-utils,
@@ -15,7 +16,8 @@
  python3-all,
  python3-gi-cairo (>= 3.30.0),
  jq
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/drawing.git
 Vcs-Browser: https://salsa.debian.org/debian/drawing
 Homepage: https://maoschanz.github.io/drawing/

## drawing 0.8.4

=== debian/changelog ===
drawing (0.8.4) unstable; urgency=low

  * option to disable anti-aliasing with the text tool (#369)
  * if "undo" is pressed several times in a short period, recompute only once (#425, #435, #282, #200)
  * disable the 'reload image from the disk' action if it has never been saved
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 06 Nov 2021 13:12:00 +0100

drawing (0.8.3) unstable; urgency=low

  * draw a wider outline to the free selection when the image is zoomed out
  * don't try to open the app binary as an image when running outside of a flatpak sandbox (#390)
  * fix incorrectly huge height of the selection after rotating it (#369)
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 17 Jul 2021 13:12:00 +0100

drawing (0.8.2) unstable; urgency=low

  * refactoring of the optionsbars (bottom panes) of the transform tools
  * add a "lock line direction" option to the line tool (#369)
  * fix shift+f10 action when using a selection tool on mobile
  * add an outline to the canvas (#299, #184)
  * fix the `-c` option when using Wayland (#377)
  * lock image proportions by default when scaling with the numerical inputs
  * fix an unexpected way the "crop" tool could expand the selection (#369)
  * preview correctly the areas created by a transform tool before applying a change (#396)
  * fix when the app starts with a transform tool, and this tool is immediately used and applied
  * compatibility with older distributions
  * update several translations

 -- Romain F. T. <rrroschan@gmail.com>  Sat, 26 Jun 2021 13:12:00 +0100

## drawing 0.8.5

=== debian/changelog ===
drawing (0.8.5-2) unstable; urgency=medium

  * Add missing build dependency on itstool (Closes: #1005612).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Feb 2022 19:42:52 +0100

drawing (0.8.5-1) unstable; urgency=medium

  * New upstream release (Closes: #982370).
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.
  * Set Rules-Requires-Root: no.
  * Explicitly use dh-sequence-single-binary.
  * Bump copyright years.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 14 Dec 2021 18:18:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(firstword $(shell grep Package debian/control | cut -d: -f2))

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=meson

execute_after_dh_auto_build:
	@upstream_ver=$(shell meson introspect --projectinfo obj-*/ | jq -r .version); \
	 deb_ver=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/+.*//'); \
	[ $$upstream_ver = $$deb_ver ] || \
	( echo ; echo ERROR: Upstream version needs to be bumped: metadata says $$upstream_ver, packaging says $(DEB_VERSION_UPSTREAM); echo ; exit 1 )

execute_after_dh_auto_install:
	mv debian/$(PACKAGE)/usr/share/$(PACKAGE)/*/ debian/$(PACKAGE)/usr/lib/python3/dist-packages/

execute_before_dh_installchangelogs:
	appstreamcli metainfo-to-news --format=text $(firstword $(wildcard debian/*/usr/share/metainfo/*.xml)) debian/NEWS.upstream

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/maoschanz/@PACKAGE@/releases \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

opts="mode=git, pgpmode=none, pretty=0.5.3+git%cd+%h, repack, compression=xz" \
 https://github.com/maoschanz/@PACKAGE@ \
 HEAD

## drawing 1.0.1

=== debian/changelog ===
drawing (1.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release
    - add patch to resolve mismatched outlined gsettings
    0001-wrong-default-option-for-text-background-521.patch
  * Packaging Changes
    d/control - update maintainership and VCS fields
    d/copyright - update to reflect new release, year bump
    and updated ubuntu-based package maintainer

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 23 Aug 2022 17:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-single-binary,
+ dh-sequence-python3,
  appstream,
 # appstream-util (>= 0.7.14),
  desktop-file-utils,
- dh-python,
  gir1.2-gtk-3.0 (>= 3.24.0),
  libglib2.0-dev-bin (>= 2.58.3),
+ itstool,
  meson (>= 0.50),
  pkgconf,
  python3-all,
  python3-gi-cairo (>= 3.30.0),
  jq
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/debian/drawing.git
-Vcs-Browser: https://salsa.debian.org/debian/drawing
+Vcs-Git: https://github.com/ubuntubudgie/drawing.git
+Vcs-Browser: https://github.com/ubuntubudgie/drawing
 Homepage: https://maoschanz.github.io/drawing/
 
 Package: drawing

## drawing 1.0.2

=== debian/changelog ===
drawing (1.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1028955).
  * Fix watch file.
  * Include default.mk instead of pkg-info.mk.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 25 Feb 2023 20:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: drawing
 Section: graphics
 Priority: optional
-Maintainer: David Mohammed <fossfreedom@ubuntu.com>
-XSBC-Original-Maintainer: Andrej Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-single-binary,
@@ -20,8 +19,8 @@
  jq
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/ubuntubudgie/drawing.git
-Vcs-Browser: https://github.com/ubuntubudgie/drawing
+Vcs-Git: https://salsa.debian.org/debian/drawing.git
+Vcs-Browser: https://salsa.debian.org/debian/drawing
 Homepage: https://maoschanz.github.io/drawing/
 
 Package: drawing

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 PACKAGE = $(firstword $(shell grep Package debian/control | cut -d: -f2))
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 %:
 	dh $@ --buildsystem=meson

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/maoschanz/@PACKAGE@/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

opts="mode=git, pgpmode=none, pretty=0.5.3+git%cd+%h, repack, compression=xz" \
 https://github.com/maoschanz/@PACKAGE@ \
 HEAD
